 
            <h5>
                <span>Detail Receive</span>
            </h5>
            &nbsp;
            <div style="margin-top: 20px;">
                    <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                        <div class="col-sm-4">
                                                <label>Nomor Request</label>
                                            </div>
                                    <div class="col-sm-8">
                                        : {{tempTransUnit.RequestNumber}}
                                     </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Tanggal Request</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{tempTransUnit.dtRequest | date:'dd-MM-yyyy'}}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Lokasi Tujuan</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{tempTransUnit.FacilityDest}}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Status</label>
                                    </div>
                                    <div class="col-sm-8">
                                        : {{tempTransUnit.StatusReq}}
                                    </div>
                                </div>
                            </div>
                        </div>
                            &nbsp;
        
                            <p-dataTable 
                                [value]="pickingSlip"
                                [editable]="true"
                                [rows]="itemsPerPage"
                                [paginator]="true"
                                [pageLinks]="5"
                                [rowsPerPageOptions]="[10,15,20]"
                                [totalRecords]="totalItems"
                                [responsive]="true"
                                dataKey="idslip"
                                expandableRows="false"
                                (onEditComplete)="updateRowData($event)"
                                class="width-filter">
                            <p-header>
                                <div>
                    
                                </div>
                            </p-header>
                            <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                            <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                    {{rowIndex + 1}}
                                </ng-template>
                            </p-column>
                            <p-column header="Kode Tipe">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.idproduct}}
                                </ng-template>
                            </p-column>
                            <p-column header="Warna">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.color}}
                                </ng-template>
                            </p-column>
                            <p-column header="NOKA">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.idframe}}
                                </ng-template>
                            </p-column>
                            <p-column header="Helm">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc1">-</div>
                                    <div *ngIf="rowData.acc1"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Spion Kanan">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc2">-</div>
                                    <div *ngIf="rowData.acc2"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Spion Kiri">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc3">-</div>
                                    <div *ngIf="rowData.acc3"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Tool Kit">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc4">-</div>
                                    <div *ngIf="rowData.acc4"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Buku Service">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc5">-</div>
                                    <div *ngIf="rowData.acc5"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Accu">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc6">-</div>
                                    <div *ngIf="rowData.acc6"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Buku Pedoman">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc7">-</div>
                                    <div *ngIf="rowData.acc7"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Acc 8">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acc8">-</div>
                                    <div *ngIf="rowData.acc8"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Acc Extra 1" [style]="{'width': '90px', 'text-align': 'center'}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acctambah1">-</div>
                                    <div *ngIf="rowData.acctambah1"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>
            
                            <p-column header="Acc Extra 2" [style]="{'width': '90px', 'text-align': 'center'}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="!rowData.acctambah2">-</div>
                                    <div *ngIf="rowData.acctambah2"><i class="fa fa-check"></i></div>
                                </ng-template>
                            </p-column>

                            <p-column header="Lokasi">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.location}}
                                </ng-template>
                            </p-column>
            
                            <p-column header="Status">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <!-- {{rowData.status}} -->
                                </ng-template>
                            </p-column>
            
                            <p-column header="Detail"[style]="{'width': '100px', 'text-align': 'center'}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <button pButton type="button"
                                            (click)="showPrintAcc(rowData)"
                                            icon="fa-eye"
                                            class="flat-button"
                                            pTooltip="Detail"
                                            [style]="{'height':'50px'}">
                                    </button>
                                    <button pButton type="submit"
                                            (click)="showPrintManual(rowData)"
                                            icon="fa-puzzle-piece"
                                            class="flat-button"
                                            pTooltip="Edit"
                                            [style]="{'height':'50px'}">
                                    </button>
                                </ng-template>
                            </p-column>
            
                            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                            </ng-template>
                        </p-dataTable>
                        <div class="btn-filter-wrapper pull-right">
                            <button type="button" class="btn btn-primary btn-filter" (click)="showPrintBast()">
                                <span>Cetak BAST</span>
                            </button>
                            &nbsp;
                        </div>

                        <p-dialog header="Print BAST" [(visible)]="printBast" modal="true" [width]="700">
                            <div class="row">
                                <div class="col-sm-12">
                                    <h6 *ngIf="tempTransUnit.Status === 8">Silahkan Pilih Driver :</h6>
                                        <div class="col-sm-8">
                                            <div class="form-group" *ngIf="tempTransUnit.Status === 8">
                                                <p-radioButton name="stat" value="1" [(ngModel)]="stat" (click)="status()" label="Driver" for="driverInternal"></p-radioButton>
                                                <select id="driverInternal" class="form-control" [(ngModel)]="selectedDriver" [disabled]="stat==2" style="margin-left: 50px;">
                                                    <option [ngValue]="null"></option>
                                                    <option [ngValue]="driverInt.idPartyRole" *ngFor="let driverInt of driverInternal; trackBy: trackDriverById"> {{driverInt.person.firstName}} {{driverInt.person.lastName}}  </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-8" *ngIf="tempTransUnit.Status === 8">
                                            <div class="form-group">
                                                <p-radioButton name="stat" value="2" [(ngModel)]="stat" (click)="status()" label="Eksternal"></p-radioButton>
                                                <input type="text" [disabled]="stat==1" [(ngModel)]="otherName" class="form-control" style="margin-left: 50px;">
                                            </div>
                                        </div>
                                        <br>
                                        <h6>Silahkan Pilih Dokumen BAST yang akan dicetak :</h6>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Print BAST Unit" [(ngModel)]="cetakanBast" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Print BAST Aksesories" [(ngModel)]="cetakanAksesoris" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="btn-filter-wrapper pull-right">
                                            <button type="button" (click)='doPrint()' class="btn btn-primary btn-filter">
                                                <span>PRINT</span>
                                            </button>
                                        </div>
                                </div>
                            </div>
                        </p-dialog>

                        <p-dialog header="List Aksesories" [(visible)]="printAcc" modal="true" [width]="400">
	<div class="row">
		<div class="col-sm-12">
				<div class="col-sm-12">
                    <p-checkbox label="Helm" [(ngModel)]="updatePickingSlip.acc1" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Spion Kanan" [(ngModel)]="updatePickingSlip.acc2" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Spion Kiri" [(ngModel)]="updatePickingSlip.acc3" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Tool Kit" [(ngModel)]="updatePickingSlip.acc4" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Buku Service" [(ngModel)]="updatePickingSlip.acc5" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Accu" [(ngModel)]="updatePickingSlip.acc6" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Buku Pedoman" [(ngModel)]="updatePickingSlip.acc7" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Acc 8" [(ngModel)]="updatePickingSlip.acc8" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Acc Extra 1" [(ngModel)]="updatePickingSlip.acctambah1" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="col-sm-12">
                    <p-checkbox label="Acc Extra 2" [(ngModel)]="updatePickingSlip.acctambah2" styleClass="form-check-input" binary="true"></p-checkbox>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" (click)="updatePicking()" class="btn btn-primary btn-filter">
                        <span>UPDATE</span>
                    </button>
                </div>
		</div>
	</div>
</p-dialog>

<p-dialog header="Manual Matching" [(visible)]="manualMatchingAcc" modal="true" [width]="600">

    <div class="modal-body">
        <span class="ui-g-4">
            <label class="form-control-label"></label>No. Rangka :</span>
        <input class="ui-g-8" [(ngModel)]="manualMatchingPS.idframe" [disabled]="true" type="text" name="noka" style="width:50%" />
        <span class="ui-g-4">
            <label class="form-control-label"></label>No. Mesin :</span>
        <input class="ui-g-8" [(ngModel)]="manualMatchingPS.idmachine" pInputText type="text" [disabled]="true" name="nosin" style="width:50%" />
        <div style="margin-top: 10px;"></div>
        &nbsp;
        <p-dataTable [value]="shipmentMatching" [responsive]="true" expandableRows="false">
            <p-header>
            </p-header>
            <p-column header="No Rangka" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idframe}}
                </ng-template>
            </p-column>
            <p-column header="No Mesin" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idmachine}}
                </ng-template>
            </p-column>
            <p-column header="Lokasi" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idproduct}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal SPG" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreate | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Aksi" [style]="{'width': '40px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit" (click)="pilih(rowData)" label="Pilih">
                    </button>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>

</p-dialog>

<p-confirmDialog></p-confirmDialog>